Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.apt
Interface AnnotationProcessor

    public interface AnnotationProcessor

An annotation processor, used to examine and process the annotations of program elements. An annotation processor may, for example, create new source files and XML documents to be used in conjunction with the original code.

An annotation processor is constructed by a factory, which provides it with an environment that encapsulates the state it needs. Messages regarding warnings and errors encountered during processing should be directed to the environment's `Messager`, and new files may be created using the environment's `Filer`.

Each annotation processor is created to process annotations of a particular annotation type or set of annotation types. It may use its environment to find the program elements with annotations of those types. It may freely examine any other program elements in the course of its processing.

Since:
  1.5

Method Summary
`void` | `process()` Process all program elements supported by this annotation processor.

Method Detail

### process

    void process()

  Process all program elements supported by this annotation processor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.